*** win32.mak.orig	Wed Mar 21 11:14:24 2001
--- win32.mak	Wed Mar 21 11:11:30 2001
***************
*** 4,11 ****
  #
  # Description:		psqlodbc Makefile for Win32.
  #
! # Configurations:	Debug, Release
  # Build Types:		ALL, CLEAN
  #
  # Comments:		Created by Dave Page, 2001-02-12
  #
--- 4,12 ----
  #
  # Description:		psqlodbc Makefile for Win32.
  #
! # Configurations:	Debug, Release, MultibyteDebug, MultibyteRelease
  # Build Types:		ALL, CLEAN
+ # Usage:		NMAKE /f win32.mak CFG=[Release | Debug | MultibyteRelease | MultiByteDebug] [ALL | CLEAN]
  #
  # Comments:		Created by Dave Page, 2001-02-12
  #
***************
*** 23,36 ****
  !MESSAGE You can specify a configuration when running NMAKE
  !MESSAGE by defining the macro CFG on the command line. For example:
  !MESSAGE 
! !MESSAGE NMAKE /f win32.mak CFG=[Release | Debug | MultibyteRelease | MultiByteDebug]
  !MESSAGE 
  !MESSAGE Possible choices for configuration are:
  !MESSAGE 
! !MESSAGE "Release" (based on "Win32 (x86) Dynamic-Link Library")
! !MESSAGE "Debug" (based on "Win32 (x86) Dynamic-Link Library")
  !MESSAGE 
! !ERROR An invalid configuration is specified.
  !ENDIF 
  
  !IF "$(OS)" == "Windows_NT"
--- 24,39 ----
  !MESSAGE You can specify a configuration when running NMAKE
  !MESSAGE by defining the macro CFG on the command line. For example:
  !MESSAGE 
! !MESSAGE NMAKE /f win32.mak CFG=[Release | Debug | MultibyteRelease | MultiByteDebug] [ALL | CLEAN]
  !MESSAGE 
  !MESSAGE Possible choices for configuration are:
  !MESSAGE 
! !MESSAGE "Release" (Win32 Release DLL)
! !MESSAGE "Debug" (Win32 Debug DLL)
! !MESSAGE "MultibyteRelease" (Win32 Release DLL with Multibyte support)
! !MESSAGE "MultibyteDebug" (Win32 Release DLL with Multibyte support)
  !MESSAGE 
! !ERROR An invalid configuration was specified.
  !ENDIF 
  
  !IF "$(OS)" == "Windows_NT"
***************
*** 41,51 ****
  
  !IF  "$(CFG)" == "Release" || "$(CFG)" == "MultibyteRelease"
  
  OUTDIR=.\Release
  INTDIR=.\Release
! # Begin Custom Macros
! OutDir=.\Release
! # End Custom Macros
  
  ALL : "$(OUTDIR)\psqlodbc.dll"
  
--- 44,56 ----
  
  !IF  "$(CFG)" == "Release" || "$(CFG)" == "MultibyteRelease"
  
+ !IF "$(CFG)" == "MultibyteRelease"
+ OUTDIR=.\MultibyteRelease
+ INTDIR=.\MultibyteRelease
+ !ELSE
  OUTDIR=.\Release
  INTDIR=.\Release
! !ENDIF
  
  ALL : "$(OUTDIR)\psqlodbc.dll"
  
***************
*** 63,69 ****
  	-@erase "$(INTDIR)\info.obj"
  	-@erase "$(INTDIR)\lobj.obj"
  	-@erase "$(INTDIR)\misc.obj"
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  	-@erase "$(INTDIR)\multibyte.obj"
  !ENDIF
  	-@erase "$(INTDIR)\options.obj"
--- 68,74 ----
  	-@erase "$(INTDIR)\info.obj"
  	-@erase "$(INTDIR)\lobj.obj"
  	-@erase "$(INTDIR)\misc.obj"
! !IF "$(CFG)" == "MultibyteRelease"
  	-@erase "$(INTDIR)\multibyte.obj"
  !ENDIF
  	-@erase "$(INTDIR)\options.obj"
***************
*** 87,97 ****
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "MULTIBYTE" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  !ELSE
  CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  !ENDIF
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
     $(CPP_PROJ) $< 
--- 92,103 ----
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! !IF "$(CFG)" == "MultibyteRelease"
  CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "MULTIBYTE" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  !ELSE
  CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
  !ENDIF
+ 
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
     $(CPP_PROJ) $< 
***************
*** 102,108 ****
     $(CPP_PROJ) $< 
  <<
  
- 
  .cxx{$(INTDIR)}.obj::
     $(CPP) @<<
     $(CPP_PROJ) $< 
--- 108,113 ----
***************
*** 147,153 ****
  	"$(INTDIR)\info.obj" \
  	"$(INTDIR)\lobj.obj" \
  	"$(INTDIR)\misc.obj" \
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  	"$(INTDIR)\multibyte.obj" \
  !ENDIF
  	"$(INTDIR)\options.obj" \
--- 152,158 ----
  	"$(INTDIR)\info.obj" \
  	"$(INTDIR)\lobj.obj" \
  	"$(INTDIR)\misc.obj" \
! !IF "$(CFG)" == "MultibyteRelease"
  	"$(INTDIR)\multibyte.obj" \
  !ENDIF
  	"$(INTDIR)\options.obj" \
***************
*** 170,180 ****
  
  !ELSEIF  "$(CFG)" == "Debug" || "$(CFG)" == "MultibyteDebug"
  
  OUTDIR=.\Debug
  INTDIR=.\Debug
! # Begin Custom Macros
! OutDir=.\Debug
! # End Custom Macros
  
  ALL : "$(OUTDIR)\psqlodbc.dll"
  
--- 175,187 ----
  
  !ELSEIF  "$(CFG)" == "Debug" || "$(CFG)" == "MultibyteDebug"
  
+ !IF "$(CFG)" == "MultibyteDebug"
+ OUTDIR=.\MultibyteDebug
+ INTDIR=.\MultibyteDebug
+ !ELSE
  OUTDIR=.\Debug
  INTDIR=.\Debug
! !ENDIF
  
  ALL : "$(OUTDIR)\psqlodbc.dll"
  
***************
*** 192,198 ****
  	-@erase "$(INTDIR)\info.obj"
  	-@erase "$(INTDIR)\lobj.obj"
  	-@erase "$(INTDIR)\misc.obj"
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  	-@erase "$(INTDIR)\multibyte.obj"
  !ENDIF
  	-@erase "$(INTDIR)\options.obj"
--- 199,205 ----
  	-@erase "$(INTDIR)\info.obj"
  	-@erase "$(INTDIR)\lobj.obj"
  	-@erase "$(INTDIR)\misc.obj"
! !IF "$(CFG)" == "MultibyteDebug" 
  	-@erase "$(INTDIR)\multibyte.obj"
  !ENDIF
  	-@erase "$(INTDIR)\options.obj"
***************
*** 219,229 ****
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "MULTIBYTE" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  !ELSE
  CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  !ENDIF
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
     $(CPP_PROJ) $< 
--- 226,237 ----
      if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
  
  CPP=cl.exe
! !IF "$(CFG)" == "MultibyteDebug" 
  CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /D "MULTIBYTE" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  !ELSE
  CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PSQLODBC_EXPORTS" /Fp"$(INTDIR)\psqlodbc.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
  !ENDIF
+ 
  .c{$(INTDIR)}.obj::
     $(CPP) @<<
     $(CPP_PROJ) $< 
***************
*** 278,284 ****
  	"$(INTDIR)\info.obj" \
  	"$(INTDIR)\lobj.obj" \
  	"$(INTDIR)\misc.obj" \
! !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  	"$(INTDIR)\multibyte.obj" \
  !ENDIF
  	"$(INTDIR)\options.obj" \
--- 286,292 ----
  	"$(INTDIR)\info.obj" \
  	"$(INTDIR)\lobj.obj" \
  	"$(INTDIR)\misc.obj" \
! !IF "$(CFG)" == "MultibyteDebug" 
  	"$(INTDIR)\multibyte.obj" \
  !ENDIF
  	"$(INTDIR)\options.obj" \
***************
*** 324,330 ****
  SOURCE=convert.c
  
  "$(INTDIR)\convert.obj" : $(SOURCE) "$(INTDIR)"
- 
  	$(CPP) $(CPP_PROJ) $(SOURCE)
  
  
--- 332,337 ----
***************
*** 375,388 ****
  "$(INTDIR)\misc.obj" : $(SOURCE) "$(INTDIR)"
  	$(CPP) $(CPP_PROJ) $(SOURCE)
  
  !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
  SOURCE=multibyte.c
  
  "$(INTDIR)\multibyte.obj" : $(SOURCE) "$(INTDIR)"
  	$(CPP) $(CPP_PROJ) $(SOURCE)
  
- 
  !ENDIF
  SOURCE=options.c
  
  "$(INTDIR)\options.obj" : $(SOURCE) "$(INTDIR)"
--- 382,398 ----
  "$(INTDIR)\misc.obj" : $(SOURCE) "$(INTDIR)"
  	$(CPP) $(CPP_PROJ) $(SOURCE)
  
+ 
  !IF "$(CFG)" == "MultibyteRelease" || "$(CFG)" == "MultibyteDebug" 
+ 
  SOURCE=multibyte.c
  
  "$(INTDIR)\multibyte.obj" : $(SOURCE) "$(INTDIR)"
  	$(CPP) $(CPP_PROJ) $(SOURCE)
  
  !ENDIF
+ 
+ 
  SOURCE=options.c
  
  "$(INTDIR)\options.obj" : $(SOURCE) "$(INTDIR)"
***************
*** 409,437 ****
  
  SOURCE=psqlodbc.rc
  
- !IF  "$(CFG)" == "Release" || "$(CFG)" == "MultibyteRelease"
- 
- 
  !IF "$(CFG)" == "Release"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "NDEBUG" $(SOURCE)
! !ELSEIF "$(CFG)" == "MultibyteRelease"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "NDEBUG" /d "MULTIBYTE" $(SOURCE)
  !ENDIF
  
- 
- !ELSEIF  "$(CFG)" == "Debug" || "$(CFG)" == "MultibyteDebug"
- 
  !IF "$(CFG)" == "Debug"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "_DEBUG" $(SOURCE)
! !ELSEIF "$(CFG)" == "MultibyteDebug"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "_DEBUG" /d "MULTIBYTE" $(SOURCE)
  !ENDIF
  
- !ENDIF 
  
  SOURCE=qresult.c
  
--- 419,444 ----
  
  SOURCE=psqlodbc.rc
  
  !IF "$(CFG)" == "Release"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "NDEBUG" $(SOURCE)
! !ENDIF
! 
! !IF "$(CFG)" == "MultibyteRelease"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "NDEBUG" /d "MULTIBYTE" $(SOURCE)
  !ENDIF
  
  !IF "$(CFG)" == "Debug"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "_DEBUG" $(SOURCE)
! !ENDIF
! 
! !IF "$(CFG)" == "MultibyteDebug"
  "$(INTDIR)\psqlodbc.res" : $(SOURCE) "$(INTDIR)"
  	$(RSC) /l 0x809 /fo"$(INTDIR)\psqlodbc.res" /d "_DEBUG" /d "MULTIBYTE" $(SOURCE)
  !ENDIF
  
  
  SOURCE=qresult.c
  
